=== debian/changelog ===
cockpit-podman (51-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Jul 2022 06:57:10 +0200

cockpit-podman (51-1) unstable; urgency=medium

  * New upstream release:
    - Fix events with large number of containers
    - Fix tests for Python 3.11
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Jul 2022 13:42:42 +0200
