## cockpit-podman 53

=== debian/changelog ===
cockpit-podman (53-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Sep 2022 22:28:18 +0200

cockpit-podman (53-1) unstable; urgency=medium

  * New upstream release:
    - Add Volumes and Env Variables to container details
    - Show volume permission in container integration tab
    - Allow no system users to set restart policy
    - Show image history

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Sep 2022 10:22:48 +0200
