## cockpit-podman 54

=== debian/changelog ===
cockpit-podman (54-1) unstable; urgency=medium

  * New upstream release:
    - Show all containers by default

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Sep 2022 06:43:36 +0200
