## cockpit-podman 55

=== debian/changelog ===
cockpit-podman (55-1) unstable; urgency=medium

  * New upstream release:
    - Pod CPU, memory, port and volume details
    - Create new pod group functionality

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Oct 2022 07:24:06 +0200
