## cockpit-podman 56

=== debian/changelog ===
cockpit-podman (56-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - Dark theme support

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Nov 2022 10:05:37 +0100
