## cockpit-podman 57

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,11 @@
 # common arguments for tar, mostly to make the generated tarballs reproducible
 TAR_ARGS = --sort=name --mtime "@$(shell git show --no-patch --format='%at')" --mode=go=rX,u+rw,a-s --numeric-owner --owner=0 --group=0
 
+ifeq ($(TEST_COVERAGE),yes)
+RUN_TESTS_OPTIONS+=--coverage
+NODE_ENV=development
+endif
+
 all: $(WEBPACK_TEST)
 
 # checkout common files from Cockpit repository required to build this project;
@@ -34,7 +39,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 4ac3051d86db4f9061e35ce0584b688b1c8115e4 # 272 + PR#17505
+COCKPIT_REPO_COMMIT = 9814ec6a4d2a0276b0357c4f04d2ae59ea557487 # 279
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
@@ -88,6 +93,10 @@
 
 $(WEBPACK_TEST): $(COCKPIT_REPO_STAMP) $(shell find src/ -type f) package.json webpack.config.js
 	$(MAKE) package-lock.json && NODE_ENV=$(NODE_ENV) node_modules/.bin/webpack
+	# In development mode terser does not run and so no LICENSE.txt.gz is generated, so we explictly create it as it is required for building rpm's
+	if [ "$$NODE_ENV" = "development" ]; then \
+		gzip </dev/null >dist/index.js.LICENSE.txt.gz; \
+	fi
 
 watch:
 	NODE_ENV=$(NODE_ENV) node_modules/.bin/webpack --watch
@@ -118,35 +127,34 @@
 print-version:
 	@echo "$(VERSION)"
 
+# required for running integration tests; commander and ws are deps of chrome-remote-interface
+TEST_NPMS = \
+       node_modules/chrome-remote-interface \
+       node_modules/commander \
+       node_modules/sizzle \
+       node_modules/ws \
+       $(NULL)
+
 dist: $(TARFILE)
 	@ls -1 $(TARFILE)
 
-# when building a distribution tarball, call webpack with a 'production' environment
-# we don't ship node_modules for license and compactness reasons; we ship a
-# pre-built dist/ (so it's not necessary) and ship package-lock.json (so that
-# node_modules/ can be reconstructed if necessary)
-$(TARFILE): export NODE_ENV=production
+# when building a distribution tarball, call webpack with a 'production' environment by default
+# we don't ship most node_modules for license and compactness reasons, only the ones necessary for running tests
+# we ship a pre-built dist/ (so it's not necessary) and ship package-lock.json (so that node_modules/ can be reconstructed if necessary)
+$(TARFILE): export NODE_ENV ?= production
 $(TARFILE): $(WEBPACK_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog
 	if type appstream-util >/dev/null 2>&1; then appstream-util validate-relax --nonet *.metainfo.xml; fi
 	tar --xz $(TAR_ARGS) -cf $(TARFILE) --transform 's,^,$(RPM_NAME)/,' \
-		--exclude '*.in' --exclude test/reference --exclude node_modules \
-		$$(git ls-files) $(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(SPEC) packaging/arch/PKGBUILD packaging/debian/changelog dist/
+		--exclude '*.in' --exclude test/reference \
+		$$(git ls-files | grep -v node_modules) \
+		$(COCKPIT_REPO_FILES) $(NODE_MODULES_TEST) $(SPEC) $(TEST_NPMS) \
+		packaging/arch/PKGBUILD packaging/debian/changelog dist/
 
 # convenience target for developers
-rpm: $(TARFILE) $(SPEC)
-	mkdir -p "`pwd`/output"
-	mkdir -p "`pwd`/rpmbuild"
-	rpmbuild -bb \
-	  --define "_sourcedir `pwd`" \
-	  --define "_specdir `pwd`" \
-	  --define "_builddir `pwd`/rpmbuild" \
-	  --define "_srcrpmdir `pwd`" \
-	  --define "_rpmdir `pwd`/output" \
-	  --define "_buildrootdir `pwd`/build" \
-	  $(SPEC)
-	find `pwd`/output -name '*.rpm' -printf '%f\n' -exec mv {} . \;
-	rm -r "`pwd`/rpmbuild"
-	rm -r "`pwd`/output" "`pwd`/build"
+rpm: $(TARFILE)
+	rpmbuild -tb --define "_topdir $(CURDIR)/tmp/rpmbuild" $(TARFILE)
+	find tmp/rpmbuild -name '*.rpm' -printf '%f\n' -exec mv {} . \;
+	rm -r tmp/rpmbuild
 
 # build a VM with locally built distro pkgs installed
 # HACK for fedora-coreos: skip the rpm build/install
@@ -154,7 +162,7 @@
 $(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
 	if [ "$$TEST_OS" = "fedora-coreos" ]; then \
 	    bots/image-customize --verbose --fresh --no-network --run-command 'mkdir -p /usr/local/share/cockpit' \
-	                         --upload dist:/usr/local/share/cockpit/podman \
+	                         --upload dist/:/usr/local/share/cockpit/podman \
 	                         --script $(CURDIR)/test/vm.install $(TEST_OS); \
 	else \
 	    bots/image-customize --verbose --fresh --no-network --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS); \
@@ -175,8 +183,7 @@
 PYEXEFILES=$(shell git grep -lI '^#!.*python')
 
 codecheck:
-	python3 -m pyflakes $(PYEXEFILES)
-	python3 -m pycodestyle --max-line-length=195 $(PYEXEFILES) # TODO: Fix long lines
+	flake8 $(PYEXEFILES)
 
 # convenience target to setup all the bits needed for the integration tests
 # without actually running them
