=== debian/changelog ===
cockpit-podman (57-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Nov 2022 15:26:44 +0100
