## cockpit-podman 59

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 9814ec6a4d2a0276b0357c4f04d2ae59ea557487 # 279
+COCKPIT_REPO_COMMIT = 83d2ca1295a47c4d2c5a2904a27f8087d2641657 # 282.1
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
