=== debian/changelog ===
cockpit-podman (59-1~bpo22.10.1) kinetic-backports; urgency=medium

  * No-change backport to kinetic

 -- Martin Pitt <mpitt@debian.org>  Fri, 30 Dec 2022 09:54:04 +0100

cockpit-podman (59-1) unstable; urgency=medium

  * New upstream release:
    - Start using tabular fonts
    - Other UI fixes and improvements
  * debian/watch: Use GitHub API

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 Dec 2022 08:03:04 +0100
