## cockpit-podman 60

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 83d2ca1295a47c4d2c5a2904a27f8087d2641657 # 282.1
+COCKPIT_REPO_COMMIT = e4a1c8a11c1fce7e038d1e2c05b2f35c4472d682 # 282.1 + #18077
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
