=== debian/changelog ===
cockpit-podman (60-1~bpo22.10.1) kinetic-backports; urgency=medium

  * No-change backport to kinetic

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 Jan 2023 06:59:21 +0100

cockpit-podman (60-1) unstable; urgency=medium

  * New upstream release:
    - Patternfly update and other maintenance

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 Jan 2023 10:26:43 +0100
