## cockpit-podman 61

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = e4a1c8a11c1fce7e038d1e2c05b2f35c4472d682 # 282.1 + #18077
+COCKPIT_REPO_COMMIT = 80a7c7cfed9157915067666fe95b298896f2aea8 # 284
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
