=== debian/changelog ===
cockpit-podman (61-1~bpo22.10.1) kinetic-backports; urgency=medium

  * No-change backport to kinetic

 -- Martin Pitt <mpitt@debian.org>  Tue, 31 Jan 2023 10:09:58 +0100

cockpit-podman (61-1) unstable; urgency=medium

  * New upstream release:
    - Use container image's default command
    - Fix tabular numbers font

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Jan 2023 16:47:26 +0100
