=== debian/changelog ===
cockpit-podman (62-1~bpo22.10.1) kinetic-backports; urgency=medium

  * No-change backport to kinetic

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Feb 2023 07:23:57 +0100

cockpit-podman (62-1) unstable; urgency=medium

  * New upstream bug fix releae.

 -- Martin Pitt <mpitt@debian.org>  Sun, 12 Feb 2023 07:53:40 +0100
