=== debian/changelog ===
cockpit-podman (65-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Apr 2023 05:51:25 +0000

cockpit-podman (65-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Show dialog errors at the top of the dialogs
  * Add autopkgtest. This checks that the manifest and data files are
    correctly installed and loaded by Cockpit.

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Mar 2023 08:10:56 +0200

cockpit-podman (64-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Mar 2023 11:41:55 +0100

cockpit-podman (63-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 03 Mar 2023 05:31:10 +0100
