=== debian/changelog ===
cockpit-podman (67-1) unstable; urgency=medium

  * New upstream release:
    - Container list can be sorted
    - Custom healthcheck actions

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Apr 2023 12:10:55 +0000
