=== debian/tests/control ===
Tests: smoke
Depends: @, cockpit-ws, curl
Restrictions: needs-root, isolation-container
