=== debian/changelog ===
cockpit-podman (71-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Jun 2023 05:29:02 +0000

cockpit-podman (71-1) unstable; urgency=medium

  * New upstream release:
    - Update to PatternFly 5 Alpha
    - Add ability to prune unused containers
    - Add manifest condition for the Python bridge

 -- Martin Pitt <mpitt@debian.org>  Sat, 17 Jun 2023 09:11:59 +0000
