=== debian/changelog ===
cockpit-podman (72-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Jul 2023 07:56:44 +0000
