## cockpit-podman 73

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	$(NULL)
 
 COCKPIT_REPO_URL = https://github.com/cockpit-project/cockpit.git
-COCKPIT_REPO_COMMIT = 6e0e545679bad03beb29c5526e2f4fe5a6b4a422 # 295 + 36 commits
+COCKPIT_REPO_COMMIT = 5ab26075bf5f8c9c3753e4887d31590dd9d9781f # 296 + PF update
 
 $(COCKPIT_REPO_FILES): $(COCKPIT_REPO_STAMP)
 COCKPIT_REPO_TREE = '$(strip $(COCKPIT_REPO_COMMIT))^{tree}'
