=== debian/changelog ===
cockpit-podman (73-1~bpo23.04.1) lunar-backports; urgency=medium

  * No-change backport to lunar

 -- Martin Pitt <mpitt@debian.org>  Fri, 28 Jul 2023 05:36:22 +0000

cockpit-podman (73-1) unstable; urgency=medium

  * New upstream release:
    - Show time of container's latest checkpoint

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jul 2023 10:23:36 +0000
