## cockpit-podman 75

=== debian/changelog ===
cockpit-podman (75-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Aug 2023 07:43:15 +0200

cockpit-podman (75-1) unstable; urgency=medium

  * New upstream bug fix release.
    - Remove po/LINGUAS during package cleaning (Closes: #1043810)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Aug 2023 13:00:05 +0200

cockpit-podman (74-1) unstable; urgency=medium

  * New upstream release:
    - Update to PatternFly 5
    - Bug fixes and translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Aug 2023 23:25:32 +0200
