=== debian/changelog ===
cockpit-podman (76-1~bpo23.04.1) lunar-backports; urgency=medium

  * No-change backport to lunar

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Sep 2023 05:08:35 +0200

cockpit-podman (76-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Sep 2023 16:03:34 +0200
