=== debian/changelog ===
cockpit-podman (79-1~bpo23.10.1) mantic-backports; urgency=medium

  * No-change backport to mantic

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Oct 2023 08:25:16 +0100

cockpit-podman (79-1) unstable; urgency=medium

  * New upstream release:
    - Validate fields in "Create container" dialog

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Oct 2023 08:05:28 +0200

cockpit-podman (78-1) unstable; urgency=medium

  * New upstream release:
    - Label Toolbox and Distrobox containers

 -- Martin Pitt <mpitt@debian.org>  Mon, 09 Oct 2023 09:36:37 +0200
