=== debian/changelog ===
cockpit-podman (80-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Nov 2023 09:50:03 +0100
