=== debian/changelog ===
cockpit-podman (81-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 Nov 2023 06:49:00 +0100

cockpit-podman (81-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Nov 2023 07:42:14 +0100
