=== debian/changelog ===
cockpit-podman (82-1~bpo23.04.1) lunar-backports; urgency=medium

  * No-change backport to lunar

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Dec 2023 09:47:34 +0100

cockpit-podman (82-1) unstable; urgency=medium

  * New upstream release:
    - Delete intermediate images

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Nov 2023 10:15:03 +0000
