## cockpit-podman 83

=== debian/changelog ===
cockpit-podman (83-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Jan 2024 09:45:29 +0100

cockpit-podman (83-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Jan 2024 15:14:49 +0100
