=== debian/changelog ===
cockpit-podman (84-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Sat, 17 Feb 2024 06:08:07 +0000

cockpit-podman (84-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Feb 2024 14:04:20 +0000
