=== debian/changelog ===
cockpit-podman (85-1~bpo12+1) bookworm-backports; urgency=medium

  * No-change backport to Debian Bookworm

 -- Martin Pitt <mpitt@debian.org>  Mon, 18 Mar 2024 07:11:12 +0100

cockpit-podman (85-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Mar 2024 13:57:11 +0100
